Subject: Re: bug#6268: Suggestion: truncate should allow -r and -s options together

From: "Richard W.M. Jones" <[email-masked]>
Date: Wed, 26 May 2010 09:48:17 +0100

On Wed, May 26, 2010 at 02:01:25AM +0100, Pádraig Brady wrote:
> On 25/05/10 15:32, Richard W.M. Jones wrote:
> >   truncate -r old-disk.img -s +10% new-disk.img
> > 
> >   truncate -r old-disk.img -s 110% new-disk.img
> 
> I'm a little less enthusiastic about the need for that.
> Given how awkward it is to achieve then I might do it
> (as a separate patch). Here's how you'd might do it
> handling overflow currently:
[...]
> I guess it would be OK to truncate the result
> rather than round to nearest?

We offer a similar feature in virt-resize, and there we just truncate
the result.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
virt-df lists disk usage of guests without needing to install any
software inside the virtual machine.  Supports Linux and Windows.
http://et.redhat.com/~rjones/virt-df/